bm::aggregator< BV >::arg_groups Struct Reference

Aggregator arg groups. More...

`#include <bmaggregator.h>`

## Public Member Functions

void | reset ()
| Reset argument groups to zero.
Aggregator traits and control constants
size_t | add (const bvector_type *bv, unsigned agr_group)
| Add bit-vector pointer to its aggregation group.

## Data Fields

bv_vector_type | arg_bv0
| arg group 0
bv_vector_type | arg_bv1
| arg group 1
index_vector_type | arg_idx0
| indexes of vectors for arg group 0
index_vector_type | arg_idx1

## Detailed Description

template<typename BV>
struct bm::aggregator< BV >::arg_groups

Aggregator arg groups.

Definition at line 156 of file bmaggregator.h.

## Member Function Documentation

## add()

template<typename BV>

size_t bm::aggregator< BV >::arg_groups::add | ( | const bvector_type * | bv,
|  | unsigned | agr_group )

Add bit-vector pointer to its aggregation group.

Parameters

  bv | - input bit-vector pointer to attach
  agr_group | - input argument group index (0 - default, 1 - fused op)

Returns
  current arg group size (0 if vector was not added (empty))

Definition at line 2930 of file bmaggregator.h.

References arg_bv0, arg_bv1, BM_ASSERT, and BM_ASSERT_THROW.

## reset()

template<typename BV>

void bm::aggregator< BV >::arg_groups::reset | ( |  | ) |

inline

Reset argument groups to zero.

Definition at line 164 of file bmaggregator.h.

References arg_bv0, arg_bv1, arg_idx0, and arg_idx1.

## Field Documentation

## arg_bv0

template<typename BV>

bv_vector_type bm::aggregator< BV >::arg_groups::arg_bv0

arg group 0

Definition at line 158 of file bmaggregator.h.

Referenced by add(), bm::aggregator< BV >::combine_and_sub(), bm::aggregator< BV >::pipeline< Opt >::complete(), and reset().

## arg_bv1

template<typename BV>

bv_vector_type bm::aggregator< BV >::arg_groups::arg_bv1

arg group 1

Definition at line 159 of file bmaggregator.h.

Referenced by add(), bm::aggregator< BV >::combine_and_sub(), bm::aggregator< BV >::pipeline< Opt >::complete(), and reset().

## arg_idx0

template<typename BV>

index_vector_type bm::aggregator< BV >::arg_groups::arg_idx0

indexes of vectors for arg group 0

Definition at line 160 of file bmaggregator.h.

Referenced by reset().

## arg_idx1

template<typename BV>

index_vector_type bm::aggregator< BV >::arg_groups::arg_idx1

Definition at line 161 of file bmaggregator.h.

Referenced by reset().

The documentation for this struct was generated from the following file:

- bmaggregator.h